/*
 * Timer.c
 * 
 * A 1uS interrupt based timer using TMR0
 * 
 */
#include "mcc_generated_files/system.h"
#include "mcc_generated_files/tmr1.h"
#include "Timer.h"


volatile uint32_t Timer_uS = 0;

static void Timer_uS_Handler(void);

/*
 * @brief Initialise timer
 */
void Timer_uS_Init(void)
{
    Timer_uS  = 0;
    // Timer interrupt callback for 100uS interrupt 
    TMR1_SetInterruptHandler(Timer_uS_Handler);
}

/*
 * @brief Timer interrupt handler
 */
static void Timer_uS_Handler(void)
{
    // Count 100's of micro seconds
    Timer_uS++;
}

/*
 * @brief Get timer count
 * @return uint32_t timer count
 */
uint32_t GetTimer_uS(void)
{
    return Timer_uS;
}

// EOF