/*
 * kbd_parallel_out.h
 *
 * Outputs acquired keystroke ASCII code to keyboard parallel port
 *
 *
 *
 *
 *
 */
#ifndef KBD_PARALLEL_OUT_H
#define	KBD_PARALLEL_OUT_H


#define PS2_PORT_PINS                  0x0C00   // Port B bits 10/11
#define PS2_PORT_SetInput()           (TRISB = PS2_PORT_PINS)

//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
// Important!  key data 6 is on port RA4
//!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#define PARALLEL_KEY_DATA_PORT         LATB    
#define KBD_OUT_0_7                    0xFF   // Bits of keboard parallel port. Port B bits 0-7


#define PARALLEL_KEY_DATA_SetOutput() (TRISB = ~(KBD_OUT_0_7))
#define PARALLEL_KEY_DATA_SetInput()  (TRISB |= KBD_OUT_0_7)

//#define STROBE_OUT_SetDigitalInput()  ( _TRISB8 = 1 )
//#define STROBE_OUT_SetDigitalOutput() ( _TRISB8 = 0 )
//#define STROBE_OUT_SetHigh()          ( _LATB8 = 1 )
//#define STROBE_OUT_SetLow()           ( _LATB8 = 0 )


// Define ASCII control characters
#define CR   0x0D  /**< Carriage return ASCII key code */ 
#define LF   0x0A  /**< Line feed ASCII key code */
#define SOH  0x01  /**< SOH ASCII key code */
#define EOT  0x04  /**< EOT ASCII key code */
#define STX  0x02  /**< STX ASCII key code */
#define ETX  0x03  /**< ETX ASCII key code */
#define TAB  0x09  /**< TAB ASCII key code */
#define ESC  0x1B  /**< Escape  ASCII key code */
#define DEL  0x7F  /**< DEL key ASCII key code */
#define BS   0x08  /**< Back space ASCII key code */


void  CodeOutputTask(void);        /**< Task to output queued data to host */
void  SendCharToHost(uint8_t ch);  /**< Buffers ASCII code to send to parallel port */
void  SendStringToHost(const char *msg, bool OnlyParallelPort); /**< Send string to parallel port and serial port */

#endif
 //EOF

